Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## Enum KASSE.Zustaende

    java.lang.Object
      java.lang.Enum<KASSE.Zustaende>
          KASSE.Zustaende

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<KASSE.Zustaende>

Enclosing class:
  KASSE

    static enum KASSE.Zustaende

extends java.lang.Enum<KASSE.Zustaende>

Enum Constant Summary
`geschlossen`
`offen`
`schliessend`

Method Summary
`static KASSE.Zustaende` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static KASSE.Zustaende[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### geschlossen

    public static final KASSE.Zustaende geschlossen

### offen

    public static final KASSE.Zustaende offen

### schliessend

    public static final KASSE.Zustaende schliessend

Method Detail

### valueOf

    public static KASSE.Zustaende valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### values

    public static final KASSE.Zustaende[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(KASSE.Zustaende c : KASSE.Zustaende.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD